apiVersion: v1
kind: ConfigMap
metadata:
  name: coredns
  namespace: kube-system
data:
  Corefile: |
    .:53 {
        errors
        health {
          lameduck 5s
        }
        hosts {
{% if rancher_ip and rancher_fqdn %}
          {{ rancher_ip }} {{ rancher_fqdn }}
{% endif %}
{% if registry_ip and registry_fqdn %}
          {{ registry_ip }} {{ registry_fqdn }}
{% endif %}
          fallthrough
        }
        ready
        kubernetes cluster.local in-addr.arpa ip6.arpa {
          pods insecure
          fallthrough in-addr.arpa ip6.arpa
        }
{% if dns_resolvers %}
        forward . {{ dns_resolvers.replace(',', ' ') }}
{% endif %}
        prometheus :9153
        cache 30
        loop
        reload
        loadbalance
    }
